org.python.core

## Class ThreadState

- java.lang.Object
- - org.python.core.ThreadState

    public class ThreadState
    extends java.lang.Object

### Field Summary

Fields
`int` `compareStateNesting`
`PyException` `exception`
`PyFrame` `frame`
`TraceFunction` `profilefunc`
`int` `recursion_depth`
`PyList` `reprStack`
`PySystemState` `systemState`
`java.lang.Thread` `thread`
`TraceFunction` `tracefunc`
`boolean` `tracing`

### Constructor Summary

Constructors
Constructor and Description
`ThreadState(java.lang.Thread t, PySystemState systemState)`

### Method Summary

Methods
`boolean` `enterRepr(PyObject obj)`
`void` `exitRepr(PyObject obj)`
`PyDictionary` `getCompareStateDict()`
`PyObject` `getInitializingProxy()`
`void` `popInitializingProxy()`
`void` `pushInitializingProxy(PyObject proxy)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### systemState

    public PySystemState systemState

#### frame

    public PyFrame frame

#### exception

    public PyException exception

#### thread

    public java.lang.Thread thread

#### tracing

    public boolean tracing

#### reprStack

    public PyList reprStack

#### compareStateNesting

    public int compareStateNesting

#### recursion_depth

    public int recursion_depth

#### tracefunc

    public TraceFunction tracefunc

#### profilefunc

    public TraceFunction profilefunc

### Constructor Detail

#### ThreadState

    public ThreadState(java.lang.Thread t,
               PySystemState systemState)

### Method Detail

#### getInitializingProxy

    public PyObject getInitializingProxy()

#### pushInitializingProxy

    public void pushInitializingProxy(PyObject proxy)

#### popInitializingProxy

    public void popInitializingProxy()

#### enterRepr

    public boolean enterRepr(PyObject obj)

#### exitRepr

    public void exitRepr(PyObject obj)

#### getCompareStateDict

    public PyDictionary getCompareStateDict()